.shopping-cart{
    .cart-table{
        width:70%;

        @include md{
            width: 100%;
        }
        font-size:1.3rem;
        font-weight: bold;

        &__header,
        &__row{
            @include flex($align: center);

            border-bottom:1px solid $grey-border;

            padding:$checkout-content-padding 0;

            div.summary__subtotal{
                width: 100%;
                display: flex;
                justify-content: space-between;
                margin-bottom: 0.5rem;
                padding: 0.5rem;
            }
            div.summary__discount{
                width: 100%;
                margin-bottom: 1.5rem;
                display: flex;
                justify-content: space-between;
                padding: 0.5rem;
            }
            div.summary__total{
                width: 100%;
            }

            &-noflex{
                display: block;
            }
        }

        &__quantity{
            &--unavailable{
                border-color:$warning;
                outline: 1px solid $warning;
            }
        }

        &__quantity-help{
            position:absolute;
            left:50%;
            top:150%;
            transform:translateX(-50%);

            font-size:1.4rem;
            color:$color-outstand;
            white-space: nowrap;

            @include sm{
                position:static;
                transform:none;
                margin-top:1rem;
            }
        }

        @each $nth, $props in $product-cart-table-column-props{
            &__cell{
                &:nth-child(#{$nth}){
                    width: nth($props, 1);
                    
                    text-align: nth($props, 2);
                    word-break: break-word;
                    position:relative;
                    text-transform: uppercase;
                }
                
                &:nth-child(1){
                    min-width: nth($props, 1);
                }

                &:nth-child(7){
                    width: 70px;
                }

                &:nth-child(4){
                    margin-right: 10px;
                }

                &-fit{
                    width: fit-content !important;
                    font-size: 1.3rem;
                    font-weight: bold;
                }
            }
        }

        &__cell
        {
            &--image{
                flex-shrink: 0;
            }

            &--product{
                @include flex($dir: column);
                flex-grow:1;
            }


            &-info{
                margin-bottom:1rem;

                &.--mobile{
                    font-weight: normal;

                }
                
            }
            input[type=number] {
                width: 4.6rem;
                text-align: center;
            }

            .message{
                border: 1px solid #c7c7c7;
                background: #c7c7c7;
                color: #000;
                display: inline-block;
                margin-left: 0.8rem;
                font-size: 1.1rem;
                padding: 0.3rem 0.5rem;
                font-weight: bold;
            }
            
        }

        &__header{
            padding-top:0;
        }

        &__product-image{
            max-width:100px;
            width:100%;
        }

        &__action{
            display:block;
            padding: 0px .5rem;

            //margin-bottom:1.5rem;

            font-weight: normal;  
            
            cursor: pointer;
            &-circle{
                width: 22px;
                height: 22px;
                border: 1px solid $black-abs;
                border-radius: 50%;
                @include flex(row, center, center);
            }

            &-text{
                font-size: 1.3rem;

                @include sm(){
                    text-decoration: underline;
                }
            }
        }

        

        /*&__action-text{
            //border-bottom:1px solid $black-abs;
            border: 1px solid #e9e9e9;
            border-radius: 50%;
            border-spacing: 5px 5px;
        }*/

        &__price{
            font-size:1.8rem;
            font-weight: bold;

            white-space: nowrap;
            
            
        }
        &__price.--mobile{
            margin-bottom: 1.5rem;
        }
    }

    @include md{        
        &__body{
            padding:0;
        }

        .cart-table{
            &__header,
            &__row{
                padding:$checkout-content-padding;

               
            }
    
            &__header{
                display:none;
            }
            
    
            &__product-image{
                padding-right:1rem;
            }


        }        
    }

    @include sm{
        .cart-table{
            &__row{
                align-items:flex-start;
            }
    
            &__cell{
                width:auto;
    
                &--product{
                    flex-grow:1;
                }

                &:nth-child(5){
                    text-align:left;
                }

            }
        }
    }

    &--summary{
        width: 28%;

        @include sm{
            width: 100%;
            display: flex;
            flex-direction: column;
        }
        .cart-table__body{

            .cart-table__row{

                border-bottom: 1px solid #e9e9e9;
                .summary-total{
                    @include flex(row, space-between, center);
                    width: 100%;
                    background-color: #e9e9e9;
                    padding: 0.5rem;
                    font-weight: bold;
                }

                .checkout-code{
                    &__title{
                        display:block;
        
                        margin-bottom:$content-padding;
                    }

                    &__group{
                        label{
                            display:block;
        
                            margin-bottom:1rem;
                        }
                
                        input{
                            flex-grow:1;
                            display:inline-block;
                
                            font-size:1.2rem;
                
                            height:26px;
        
                            margin-right:1rem;
                        }
                
                        button{
                            display:inline-block;
        
                            width:150px;

                            @include sm(){
                                width: 125px;
                            }
                        }
                    }

                    &__input-group{
                        @include flex;

                        .summary-button{
                            background-color: #e9e9e9;
                            color: #000;
                            border: none;
                            text-transform: uppercase;
                            font-weight: bold;
                        }
                    }
                }
            }
        }
    }
}